org.apache.cassandra.cql3.statements

## Class DeleteStatement.Parsed

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement
  - - org.apache.cassandra.cql3.statements.CFStatement
    - - org.apache.cassandra.cql3.statements.ModificationStatement.Parsed
      - - org.apache.cassandra.cql3.statements.DeleteStatement.Parsed

- Enclosing class:
    DeleteStatement

      public static class DeleteStatement.Parsed
      extends ModificationStatement.Parsed

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

      `ParsedStatement.Prepared`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.statements.ModificationStatement.Parsed

      `type`

    - ### Fields inherited from class org.apache.cassandra.cql3.statements.CFStatement

      `cfName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Parsed(CFName name, Attributes.Raw attrs, java.util.List<Operation.RawDeletion> deletions, WhereClause whereClause, java.util.List<Pair<ColumnDefinition.Raw,ColumnCondition.Raw>> conditions, boolean ifExists)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ModificationStatement` | `prepareInternal(CFMetaData cfm, VariableSpecifications boundNames, Conditions conditions, Attributes attrs)`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.ModificationStatement.Parsed

      `getColumnDefinition, newRestrictions, prepare, prepare`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.CFStatement

      `columnFamily, keyspace, prepareKeyspace, prepareKeyspace`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

      `getBoundVariables, getFunctions, setBoundVariables, setBoundVariables`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Parsed

          public Parsed(CFName name,
                        Attributes.Raw attrs,
                        java.util.List<Operation.RawDeletion> deletions,
                        WhereClause whereClause,
                        java.util.List<Pair<ColumnDefinition.Raw,ColumnCondition.Raw>> conditions,
                        boolean ifExists)

  - ### Method Detail

    - #### prepareInternal

          protected ModificationStatement prepareInternal(CFMetaData cfm,
                                                          VariableSpecifications boundNames,
                                                          Conditions conditions,
                                                          Attributes attrs)

      Specified by:
        `prepareInternal` in class `ModificationStatement.Parsed`

Copyright © 2018 The Apache Software Foundation